RHEL 2.1 : kdelibs (RHSA-2003:003)

This script is Copyright (C) 2004-2014 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing one or more security updates.

Description :

A security issue has been found in KDE. This errata provides updates
which resolve these issues.

KDE is a graphical desktop environment for the X Window System.

KDE fails in multiple places to properly quote URLs and filenames
before passing them to a command shell. This could allow remote
attackers to execute arbitrary commands through carefully crafted
URLs, filenames, or email addresses.

Users of KDE are advised to install the updated packages which contain
backported patches to correct this issue.

Please note that for the Itanium (IA64) architecture only, this update
also fixes several other vulnerabilities. Details concerning these
vulnerabilities can be found in advisory RHSA-2002:221 and correspond
to CVE names CVE-2002-0970, CVE-2002-1151, CVE-2002-1247, and
CVE-2002-1306.

See also :

https://www.redhat.com/security/data/cve/CVE-2002-1393.html
http://www.kde.org/info/security/advisory-20021220-1.txt
http://rhn.redhat.com/errata/RHSA-2003-003.html

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: Red Hat Local Security Checks

Nessus Plugin ID: 12347 ()

Bugtraq ID:

CVE ID: CVE-2002-1393